=== debian/changelog ===
libqapt-qt6 (3.0.7) unstable; urgency=medium

  * chore: Make a Qt6 support version

 -- re2zero <yangwu@uniontech.com>  Thu, 7 Jan 2025 19:13:31 +0800
